# InputTextMessageContent - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.InlineQueries.InputMessageContent / InputTextMessageContent

# InputTextMessageContent

(common) `data class InputTextMessageContent : CaptionedOutput, DisableWebPagePreview, InputMessageContent` (source)

### Constructors

(common)

#### <init>

`InputTextMessageContent(caption: String, parseMode: ParseMode? = null, disableWebPagePreview: Boolean? = null)`

### Properties

(common)

#### caption

`val caption: String`

(common)

#### disableWebPagePreview

`val disableWebPagePreview: Boolean?`

(common)

#### parseMode

`val parseMode: ParseMode?`